BMA EHR API Document

Loading...
Searching...
No Matches
Properties | List of all members
BMA.EHR.Domain.Models.Notifications.Inbox Class Reference
Inheritance diagram for BMA.EHR.Domain.Models.Notifications.Inbox:

## Properties
string | Subject`[get, set]`
string | Body`[get, set]`
Guid | ReceiverUserId`[get, set]`
string | Payload`[get, set]`
bool | IsOpen = false`[get, set]`
DateTime | ReceiveDate = DateTime.Now`[get, set]`
DateTime? | OpenDate`[get, set]`
Properties inherited from BMA.EHR.Domain.Models.Base.EntityBase
Guid | Id`[get, set]`
DateTime | CreatedAt = DateTime.Now`[get, set]`
string | CreatedUserId = string.Empty`[get, set]`
DateTime? | LastUpdatedAt`[get, set]`
string | LastUpdateUserId = string.Empty`[get, set]`
string | CreatedFullName = string.Empty`[get, set]`
string | LastUpdateFullName = string.Empty`[get, set]`

## Property Documentation

## ◆ Body

string BMA.EHR.Domain.Models.Notifications.Inbox.Body
| get set

## ◆ IsOpen

bool BMA.EHR.Domain.Models.Notifications.Inbox.IsOpen = false
| get set

## ◆ OpenDate

DateTime? BMA.EHR.Domain.Models.Notifications.Inbox.OpenDate
| get set

## ◆ Payload

string BMA.EHR.Domain.Models.Notifications.Inbox.Payload
| get set

## ◆ ReceiveDate

DateTime BMA.EHR.Domain.Models.Notifications.Inbox.ReceiveDate = DateTime.Now
| get set

## ◆ ReceiverUserId

Guid BMA.EHR.Domain.Models.Notifications.Inbox.ReceiverUserId
| get set

## ◆ Subject

string BMA.EHR.Domain.Models.Notifications.Inbox.Subject
| get set

The documentation for this class was generated from the following file:

- BMA.EHR.Domain/Models/Notifications/Inbox.cs